class SdkAccountInfo {
  static const ACCOUNT_TYPE_DEVICE = 1;
  static const ACCOUNT_TYPE_APP = 2;
  String _agentID;
  String _agentToken;
  String _publicKey;
  String _deviceID;
  int _accountType = -1;

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['agentID'] = this._agentID;
    data['agentToken'] = this._agentToken;
    data['publicKey'] = this._publicKey;
    data['deviceID'] = this._deviceID;
    data['accountType'] = this._accountType;
    return data;
  }

  int getAccountType() {
    return this._accountType;
  }

  String getAgentID() {
    return this._agentID;
  }

  void setAgentID(String id) {
    if (this._accountType < 0) {
      this._accountType = 1;
    }

    if (this._accountType != 1) {
      throw new Exception("your account may has be inited as app");
    } else {
      this._agentID = id;
    }
  }

  String getAgentToken() {
    return this._agentToken;
  }

  void setAgentToken(String token) {
    if (this._accountType < 0) {
      this._accountType = 1;
    }

    if (this._accountType != 1) {
      throw new Exception("your account may has be inited as app");
    } else {
      this._agentToken = token;
    }
  }

  String getPublicKey() {
    return this._publicKey;
  }

  void setPublicKey(String key) {
    this._publicKey = key;
  }

  String getDeviceID() {
    return this._deviceID;
  }

  void setDeviceID(String id) {
    if (this._accountType < 0) {
      this._accountType = 1;
    }

    if (this._accountType != 1) {
      throw new Exception("your account may has be inited as app");
    } else {
      this._deviceID = id;
    }
  }

  String getAppPackageId() {
    return this._agentID;
  }

  void setAppPackageId(String id) {
    if (this._accountType < 0) {
      this._accountType = 2;
    }

    if (this._accountType != 2) {
      throw new Exception("your account may has be inited as device");
    } else {
      this._agentID = id;
    }
  }

  String getAppToken() {
    return this._agentToken;
  }

  void setAppToken(String token) {
    if (this._accountType < 0) {
      this._accountType = 2;
    }

    if (this._accountType != 2) {
      throw new Exception("your account may has be inited as device");
    } else {
      this._agentToken = token;
    }
  }

  String getAppUid() {
    return this._deviceID;
  }

  void setAppUid(String id) {
    if (this._accountType < 0) {
      this._accountType = 2;
    }

    if (this._accountType != 2) {
      throw new Exception("your account may has be inited as device");
    } else {
      this._deviceID = id;
    }
  }
}
