class QAResultBean {
  Ai ai;
  String apiVersion;
  Asr asr;
  String recordPath;
  Status status;
  String traceId;

  QAResultBean(
      {this.ai,
        this.apiVersion,
        this.asr,
        this.recordPath,
        this.status,
        this.traceId});

  QAResultBean.fromJson(Map<String, dynamic> json) {
    ai = json['ai'] != null ? new Ai.fromJson(json['ai']) : null;
    apiVersion = json['apiVersion'];
    asr = json['asr'] != null ? new Asr.fromJson(json['asr']) : null;
    recordPath = json['recordPath'];
    status =
    json['status'] != null ? new Status.fromJson(json['status']) : null;
    traceId = json['traceId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.ai != null) {
      data['ai'] = this.ai.toJson();
    }
    data['apiVersion'] = this.apiVersion;
    if (this.asr != null) {
      data['asr'] = this.asr.toJson();
    }
    data['recordPath'] = this.recordPath;
    if (this.status != null) {
      data['status'] = this.status.toJson();
    }
    data['traceId'] = this.traceId;
    return data;
  }
}

class Ai {
  String query;
  Semantic semantic;
  Status status;

  Ai({this.query, this.semantic, this.status});

  Ai.fromJson(Map<String, dynamic> json) {
    query = json['query'];
    semantic = json['semantic'] != null
        ? new Semantic.fromJson(json['semantic'])
        : null;
    status =
    json['status'] != null ? new Status.fromJson(json['status']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['query'] = this.query;
    if (this.semantic != null) {
      data['semantic'] = this.semantic.toJson();
    }
    if (this.status != null) {
      data['status'] = this.status.toJson();
    }
    return data;
  }
}

class Semantic {
  String action;
  OutputContext outputContext;
  String service;

  Semantic({this.action, this.outputContext, this.service});

  Semantic.fromJson(Map<String, dynamic> json) {
    action = json['action'];
    outputContext = json['outputContext'] != null
        ? new OutputContext.fromJson(json['outputContext'])
        : null;
    service = json['service'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['action'] = this.action;
    if (this.outputContext != null) {
      data['outputContext'] = this.outputContext.toJson();
    }
    data['service'] = this.service;
    return data;
  }
}

class OutputContext {
  String context;
  String service;

  OutputContext({this.context, this.service});

  OutputContext.fromJson(Map<String, dynamic> json) {
    context = json['context'];
    service = json['service'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['context'] = this.context;
    data['service'] = this.service;
    return data;
  }
}

class Status {
  int code;
  String errorType;

  Status({this.code, this.errorType});

  Status.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    errorType = json['errorType'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this.code;
    data['errorType'] = this.errorType;
    return data;
  }
}

class Asr {
  String text;

  Asr({this.text});

  Asr.fromJson(Map<String, dynamic> json) {
    text = json['text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['text'] = this.text;
    return data;
  }
}
